<?php
/**
 * Enum Class
 *
 * @version     1.0.$Revision:$
 * @version     SVN: $Id:$
 * @package     bplan-base/globals
 * @subpackage  Enums
 * @author      Wassilios Meletiadis <wassilios.meletiadis@bplan-solutions.de>
 * @copyright   Copyright (C) 2025, 2026 bplan-solutions GmbH & Co. KG <https://www.bplan-solutions.de/>
 * /Δ\
 */

namespace BplanBase\Globals\Enums;


/**
 * Log classification codes for AppLog entries
 *
 * @version     1.0.0 / 2026-04-16
 * @author      Wassilios Meletiadis <wassilios.meletiadis@bplan-solutions.de>
 */
enum LogCode: string {

    case Created     = 'CREATED';

    case CreateError = 'CREATE_ERROR';

    case Deleted     = 'DELETED';

    case DeleteError = 'DELETE_ERROR';

    case Updated     = 'UPDATED';

    case UpdateError = 'UPDATE_ERROR';

} // enum LogCode {}
